For the complete documentation index, see llms.txt. This page is also available as Markdown.

Template (Sync) Template

Create Template

Request API URL

POST    https://api.innopaas.com/api/whatsapp/v3/waba/template/submit

Request Parameters

Field

Data Type

Required?

Description

wabaId

String

Yes

Unique identifier of the WhatsApp Business account

name

String

Yes

Template name: (e.g.: limited_time_offer_tuscan_getaway_2023) composed of lowercase letters, numbers, and underscores; field limited to 512 characters.

parameterFormat

String

Yes

Variable format named: name variables positional: numeric variables When parameterFormat=named, the header and Body variable formats can be: {{name}},{{order_id}} When parameterFormat=positional, the header and Body variable formats can only be: {{1}},{{2}}

category

String

Yes

Template type: 1-MARKETING, 2-AUTHENTICATION, 3-UTILITY

messageLanguage

String

Yes

Template-supported language, (language abbreviation code is required)Please refer to Appendix 1

headerType

Integer

Yes

Whether multimedia is supported, default 1, 1:None, 2:Text, 3:Image, 4:Video, 5:Document

caption

String

No

Header content:Field limited to characters (for multimedia templates, this field is empty), dynamic parameter format {{1}}

messageBody

String

No

Body content:Field limited to 1024 characters. Dynamic parameter format {{1}}{{2}}, inserted in order before and after

footer

String

No

Footer content:Field limited to 60 characters (for AUTHENTICATION templates, this field indicates the expiration time, optional; expiration time is limited to within 90 minutes)

safetyAdvice

Integer

No

Whether to add a safety suggestion to the AUTHENTICATION template (0: do not add, 1: add). Optional. If not added, display: *{{1}}* is your verification code. After adding, display: *{{1}}* is your verification code. For security reasons, please do not share this verification code.

buttons

Object[]

No

Total number of buttons cannot exceed 10

├─actionType

String

Button type 1-quick reply,2-visit website,3-call phone number,4-copy code (when category is 2),5-auto fill (when category is 2)

├─label

String

Button text

├─ phoneArea

String

Phone area code (e.g., 86)

├─ phone

String

Phone number (e.g., 18877776666)

├─packageName

String

App package name,Required when template type is AUTHENTICATION and actionType = 5

├─sigNatureHash

String

App hash value,Required when template type is AUTHENTICATION and actionType = 5

├─ autoFill

String

Auto fill,Required when template type is AUTHENTICATION and actionType = 5

├─ zeroTapTermsAccepted

boolean

Accept autofill terms,Required when template type is AUTHENTICATION and actionType = 5, and must betrue

├─ targetUrl

String

URL visit (e.g., "https://www.chuanglan.com/{{1}}") Only one dynamic parameter is supported, format {{1}}

├─buttonExample

Array

Button variable example (e.g., "buttonExample": ["https://www.chuanglan.com/whatsApp"]Required when the URL contains variables; the variable content must be a complete URL

headerExample

Object

No

├─ header_handle

Array

Multimedia template variable (e.g., "header_handle": ["4::axxxx"]). For multimedia templates, fill in the handle returned after file upload

├─ header_link

String

Resource URL, must be accessible from the public internet,Choose either header_link or header_handle; when header_link is not empty, header_handle will be replaced

├─ header_text

Array

Plain text template variable (e.g., "header_text": ["Chuanglan Cloud Intelligence"]). Text dynamic parameter template variable, parameter count limited to 1

├─header_text_named_params

Array

When parameterFormat=named, dynamic parameters are passed in "header_text_named_params": [ { "param_name": "order", "example": "1111" } ]

bodyExample

Object

No

├─ body_text

Array

When parameterFormat=positional, dynamic parameters are passed in

body variables (e.g., "body_text":[["variable1","variable2"]]) The variable example corresponds to variables in order; variable {{1}} corresponds to variable1, and so on

├─ body_text_named_params

Array

When parameterFormat=named, dynamic parameters are passed in

Custom variable names "body_text_named_params": [

{ "param_name": "order_id", "example": "A1024" }, { "param_name": "ship_time", "example": "Today 10:24" }, { "param_name": "tracking_no", "example": "SF88888888" } ] }

Request Example

When parameterFormat=positional

When parameterFormat=named

Response Example

Update Template

Request API URL

Request Parameters

Field

Data Type

Required?

Description

templateId

String

Yes

Template ID

wabaId

String

Yes

Unique identifier of the WhatsApp Business account

name

String

Yes

Template name: (e.g.: limited_time_offer_tuscan_getaway_2023) composed of lowercase letters, numbers, and underscores; field limited to 512 characters.

category

String

Yes

Template type: 1-MARKETING, 2-AUTHENTICATION, 3-UTILITY

messageLanguage

String

Yes

Template-supported language:(language abbreviation code is required)Please refer to Appendix 1

headerType

Integer

Yes

Whether multimedia is supported, default 1, 1:None, 2:Text, 3:Image, 4:Video, 5:Document

caption

String

No

Header content:Field limited to characters (for multimedia templates, this field is empty), dynamic parameter format {{1}}

messageBody

String

No

Body content:Field limited to 1024 characters. Dynamic parameter format {{1}}{{2}}, inserted in order before and after

footer

String

No

Footer content:Field limited to 60 characters (for AUTHENTICATION templates, this field indicates the expiration time, optional; expiration time is limited to within 90 minutes)

safetyAdvice

Integer

No

Whether to add a safety suggestion to the AUTHENTICATION template (0: do not add, 1: add). Optional. If not added, display: *{{1}}* is your verification code. After adding, display: *{{1}}* is your verification code. For security reasons, please do not share this verification code.

buttons

Object[]

No

Total number of buttons cannot exceed 10

├─actionType

String

Button type 1-quick reply,2-visit website,3-call phone number,4-copy code (when category is 2),5-auto fill (when category is 2)

├─label

String

Button text

├─ phoneArea

String

Phone area code (e.g., 86)

├─ phone

String

Phone number (e.g., 18877776666)

├─packageName

String

App package name,For AUTHENTICATION template type, optional

├─signatureHash

String

App hash value,For AUTHENTICATION template type, optional

├─ autoFill

String

Auto fill,For AUTHENTICATION template type, optional

├─ targetUrl

String

URL visit (e.g., "https://www.chuanglan.com/{{1}}") Only one dynamic parameter is supported, format {{1}}

├─buttonExample

Array

Button variable example (e.g., "buttonExample": ["https://www.chuanglan.com/whatsApp"]Required when the URL contains variables; the variable content must be a complete URL

headerExample

Object[]

No

├─ header_handle

Array

Multimedia template variable (e.g., "header_handle": ["4::axxxx"]). For multimedia templates, fill in the handle returned after file upload

├─ header_link

String

Resource URL, must be accessible from the public internet,Choose either header_link or header_handle; when header_link is not empty, header_handle will be replaced

├─ header_text

Array

Plain text template variable (e.g., "header_text": ["Chuanglan Cloud Intelligence"]). Text dynamic parameter template variable, parameter count limited to 1

bodyExample

Object[]

No

├─ body_text

Array

body variables (e.g., "body_text":[["variable1","variable2"]]) The variable example corresponds to variables in order; variable {{1}} corresponds to variable1, and so on

├─ custom_text

Array

Custom variable names [{"name":"Custom Name 1","value":"variable1"},{"name":"Custom Name 2","value":"variable2"}] Choose either custom_text or body_text; when custom_text is not empty, body_text is invalid

Request Example

Response Example

Template List

Request API URL

Request Parameters

Field

Data Type

Required?

Description

page

Integer

Yes

Page number

size

Integer

Yes

Number of records returned per page

wabaId

String

Yes

Unique identifier of the WhatsApp Business account

name

String

No

Template name

templateId

String

No

Template ID

category

list

No

Template type 1-MARKETING,2-AUTHENTICATION,3-UTILITY

messageLanguage

list

No

Template language (e.g.: en)

auditStatus

list

No

Template status 1: Pending, 2: Approved, 3: Rejected, 4: Paused, 5: Disabled

Request example code

Response Example

Delete List

Request API URL

API description:

Request Parameters

Name
Type
Required?
Remarks
Other information

wabaId

string

Required

Unique identifier of the WhatsApp Business account

id

integer

Template primary key ID

Send at least one of id/templateId

templateId

string

Template ID

Send at least one of id/templateId

Response parameters

Name
Type
Required?
Default value
Remarks
Other information

code

integer

Required

0: Success Others: Failure

data

object

Required

message

string

Required

最后更新于